export const SET_WIFI_MODE_RESULT_INVALID = 'SET_WIFI_MODE_RESULT_INVALID';
export const SET_WIFI_MODE_RESULT_TIMEOUT = 'SET_WIFI_MODE_RESULT_TIMEOUT';
export const SET_WIFI_INFO_RESULT_INVALID = 'SET_WIFI_INFO_INVALID';
export const SET_WIFI_INFO_RESULT_TIMEOUT = 'SET_WIFI_INFO_TIMEOUT';
export const SET_WIFI_CONNECT_RESULT_INVALID = 'SET_WIFI_CONNECT_RESULT_INVALID';
export const SET_WIFI_CONNECT_RESULT_TIMEOUT = 'SET_WIFI_CONNECT_RESULT_TIMEOUT';
export const SET_WIFI_TOKEN_RESULT_INVALID = 'SET_WIFI_TOKEN_RESULT_INVALID';
export const SET_WIFI_TOKEN_RESULT_TIMEOUT = 'SET_WIFI_TOKEN_RESULT_TIMEOUT';
export const GET_DEV_LOG_INFO_INVALID = 'GET_DEV_LOG_INFO_INVALID';
export const GET_DEV_LOG_INFO_TIMEOUT = 'GET_DEV_LOG_INFO_TIMEOUT';
export const BLE_COMBO_ERRORS = {
    [SET_WIFI_MODE_RESULT_INVALID]: '设置WiFi模式返回格式错误',
    [SET_WIFI_MODE_RESULT_TIMEOUT]: '设置WiFi模式返回超时，请稍后再试',
    [SET_WIFI_INFO_RESULT_INVALID]: 'WiFi信息传输返回格式错误',
    [SET_WIFI_INFO_RESULT_TIMEOUT]: 'WiFi信息传输返回超时，请稍后再试',
    [SET_WIFI_CONNECT_RESULT_INVALID]: 'WiFi连接失败',
    [SET_WIFI_CONNECT_RESULT_TIMEOUT]: '获取WiFi连接状态超时',
    [SET_WIFI_TOKEN_RESULT_INVALID]: '发送配网token结果非法',
    [SET_WIFI_TOKEN_RESULT_TIMEOUT]: '发送配网token结果超时，请稍后再试',
    [GET_DEV_LOG_INFO_INVALID]: '获取配网日志格式错误',
    [GET_DEV_LOG_INFO_TIMEOUT]: '获取配网日志超时，请稍后再试',
};
export const MIN_ATT_MTU = 23;
export const ATT_MTU_TO_LLSYNC_MTU_DELTA = 3;
export const attMtuToLLSyncMtu = (attMtu) => attMtu - ATT_MTU_TO_LLSYNC_MTU_DELTA;
export const llSyncMtuToAttMtu = (attMtu) => attMtu + ATT_MTU_TO_LLSYNC_MTU_DELTA;
//# sourceMappingURL=constants.js.map