import { BleComboLLSyncDeviceAdapterBase } from '../BleComboLLSync';
import { DeviceFilterFunction } from 'qcloud-iotexplorer-bluetooth-adapter';
import { LLSyncDeviceAdapter, LLSyncDeviceAdapterOptions } from 'qcloud-iotexplorer-bluetooth-adapter-llsync';
import { AppDevSdk } from 'qcloud-iotexplorer-appdev-sdk';
declare class LLSyncDualModeDeviceAdapter extends LLSyncDeviceAdapter {
    static serviceId16: string;
    static serviceId: string;
}
interface DualModeDeviceAdapterOptions extends LLSyncDeviceAdapterOptions {
    appDevSdk: AppDevSdk;
}
export declare class BleComboDualModeDeviceAdapterBase extends BleComboLLSyncDeviceAdapterBase {
    static serviceId16: string;
    static serviceId: string;
    static deviceFilter: DeviceFilterFunction;
    static injectOptions(options: DualModeDeviceAdapterOptions): void;
    _bleDeviceAdapter: LLSyncDualModeDeviceAdapter;
    constructor(props: any);
    toString(): string;
    get authorized(): boolean;
    authenticateConnection(params: any): Promise<never>;
    bindDevice(data: any): Promise<string>;
    unbindDevice(data: any): any;
    controlDevice(data: any): any;
    init(): Promise<any>;
}
export declare const BleComboDualModeDeviceAdapter: typeof BleComboDualModeDeviceAdapterBase;
export declare const BleComboDualModeDeviceAdapter4H5: typeof BleComboDualModeDeviceAdapterBase;
export {};
