"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.llSyncMtuToAttMtu = exports.attMtuToLLSyncMtu = exports.ATT_MTU_TO_LLSYNC_MTU_DELTA = exports.MIN_ATT_MTU = exports.BLE_COMBO_ERRORS = exports.GET_DEV_LOG_INFO_TIMEOUT = exports.GET_DEV_LOG_INFO_INVALID = exports.SET_WIFI_TOKEN_RESULT_TIMEOUT = exports.SET_WIFI_TOKEN_RESULT_INVALID = exports.SET_WIFI_CONNECT_RESULT_TIMEOUT = exports.SET_WIFI_CONNECT_RESULT_INVALID = exports.SET_WIFI_INFO_RESULT_TIMEOUT = exports.SET_WIFI_INFO_RESULT_INVALID = exports.SET_WIFI_MODE_RESULT_TIMEOUT = exports.SET_WIFI_MODE_RESULT_INVALID = void 0;
exports.SET_WIFI_MODE_RESULT_INVALID = 'SET_WIFI_MODE_RESULT_INVALID';
exports.SET_WIFI_MODE_RESULT_TIMEOUT = 'SET_WIFI_MODE_RESULT_TIMEOUT';
exports.SET_WIFI_INFO_RESULT_INVALID = 'SET_WIFI_INFO_INVALID';
exports.SET_WIFI_INFO_RESULT_TIMEOUT = 'SET_WIFI_INFO_TIMEOUT';
exports.SET_WIFI_CONNECT_RESULT_INVALID = 'SET_WIFI_CONNECT_RESULT_INVALID';
exports.SET_WIFI_CONNECT_RESULT_TIMEOUT = 'SET_WIFI_CONNECT_RESULT_TIMEOUT';
exports.SET_WIFI_TOKEN_RESULT_INVALID = 'SET_WIFI_TOKEN_RESULT_INVALID';
exports.SET_WIFI_TOKEN_RESULT_TIMEOUT = 'SET_WIFI_TOKEN_RESULT_TIMEOUT';
exports.GET_DEV_LOG_INFO_INVALID = 'GET_DEV_LOG_INFO_INVALID';
exports.GET_DEV_LOG_INFO_TIMEOUT = 'GET_DEV_LOG_INFO_TIMEOUT';
exports.BLE_COMBO_ERRORS = {
    [exports.SET_WIFI_MODE_RESULT_INVALID]: '设置WiFi模式返回格式错误',
    [exports.SET_WIFI_MODE_RESULT_TIMEOUT]: '设置WiFi模式返回超时，请稍后再试',
    [exports.SET_WIFI_INFO_RESULT_INVALID]: 'WiFi信息传输返回格式错误',
    [exports.SET_WIFI_INFO_RESULT_TIMEOUT]: 'WiFi信息传输返回超时，请稍后再试',
    [exports.SET_WIFI_CONNECT_RESULT_INVALID]: 'WiFi连接失败',
    [exports.SET_WIFI_CONNECT_RESULT_TIMEOUT]: '获取WiFi连接状态超时',
    [exports.SET_WIFI_TOKEN_RESULT_INVALID]: '发送配网token结果非法',
    [exports.SET_WIFI_TOKEN_RESULT_TIMEOUT]: '发送配网token结果超时，请稍后再试',
    [exports.GET_DEV_LOG_INFO_INVALID]: '获取配网日志格式错误',
    [exports.GET_DEV_LOG_INFO_TIMEOUT]: '获取配网日志超时，请稍后再试',
};
exports.MIN_ATT_MTU = 23;
exports.ATT_MTU_TO_LLSYNC_MTU_DELTA = 3;
const attMtuToLLSyncMtu = (attMtu) => attMtu - exports.ATT_MTU_TO_LLSYNC_MTU_DELTA;
exports.attMtuToLLSyncMtu = attMtuToLLSyncMtu;
const llSyncMtuToAttMtu = (attMtu) => attMtu + exports.ATT_MTU_TO_LLSYNC_MTU_DELTA;
exports.llSyncMtuToAttMtu = llSyncMtuToAttMtu;
//# sourceMappingURL=constants.js.map